Bug 1001182 - [rhevm] Webadmin - unable to choose a policy different than 'none'
[rhevm] Webadmin - unable to choose a policy different than 'none'
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Doron Fediuck
Pavel Novotny
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-08-26 11:58 EDT by David Botzer
Modified: 2016-02-10 15:18 EST (History)
10 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
no-keys (50.27 KB, image/png)
2013-08-26 11:58 EDT, David Botzer
no flags Details
engine.log (144.24 KB, text/plain)
2013-08-26 12:00 EDT, David Botzer
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19787 None None None Never
oVirt gerrit 19826 None None None Never

  None (edit)
Description David Botzer 2013-08-26 11:58:03 EDT
Created attachment 790582 [details]

Description of problem:
[rhevm] Webadmin - unable to choose a policy different than 'none'

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create new DC & Cluster
2.Edit Cluster -> Cluster Policy -> change policy to other then "None"
3.Press the "+" to add more keys

*4 Edit VM -> Advanced Properties -> Custom properties
*5 press the "+" Several times until "No Available keys"
(Same code)

Actual results:
Adds a line with value "No Available Keys" , After I press OK the new policy is not saved, Thus the Cluster Policy  == None

Same goes when adding Custom Properties in VM

Expected results:
should disable the Button ("+"), along side with "-" when there are no 
more keys available.

Additional info:
Comment 1 David Botzer 2013-08-26 12:00:50 EDT
Created attachment 790584 [details]
Comment 2 Gilad Chaplik 2013-09-24 10:20:49 EDT
Can't reproduce, it seems that we ignore "No Available Keys". any way bug 1001159 should prevent it. I suggest to close it or test it once bug 1001159 is in.
Comment 3 Doron Fediuck 2013-09-29 12:08:17 EDT
Note that this is only happening when using the guide-me.
Comment 4 Pavel Novotny 2013-10-17 06:10:58 EDT
Verified in rhevm-3.3.0-0.25.beta1.el6ev.noarch (is18).

After "depleting" all cluster policy options (or VM custom options), the "+" buttons are disabled. All selected options and values are saved, but options "Please select a key...", these are ignored when submitting the dialog (same for cluster policy and VM custom properties).
Comment 7 Itamar Heim 2014-01-21 17:27:50 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:27:53 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:30:50 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.